<template>
    <dialog open v-if="isCurrentDialogOpen" @click="isCurrentDialogOpen=false">
        <div @click.stop>
            {{title}}
            <slot name="title">
                <h1>Title</h1>
            </slot>
            <hr>
            <slot>
                <strong>Kein Inhalt hinterlegt</strong>
            </slot>
            <hr>
            <button @click="isCurrentDialogOpen=false">Schließen</button>
            <button>Bestätigen</button>
        </div>
    </dialog>
</template>

<script setup>
    import {computed} from "vue";

    const props = defineProps({
        modelValue: {
            required: true,
            type: Boolean
        },
        title: String
    })
    const emit = defineEmits(['update:modelValue'])

    const isCurrentDialogOpen = computed({
        get: () => props.modelValue,
        set: value => emit('update:modelValue', value)
    })
</script>

<style scoped>
dialog {
    background: #00000033;
    backdrop-filter: blur(1px);
    position: fixed;
    width: 100%;
    height: 100%;
    inset: 0;
    border: none;
    align-items: center;
    justify-content: center;
}

dialog[open] {
    display: flex;
}

dialog div {
    background: white;
    padding: 20px;
    border-radius: 6px;
    box-shadow: 0 6px 12px #00000066;
}
</style>